import { sendPromptToOpenRouter } from '../services/api-llm';

export async function runKeywordSearch(keyword) {
  try {
    const searchResults = await fetch(`https://serpapi.com/search.json?q=${encodeURIComponent(keyword)}&api_key=${process.env.REACT_APP_SERPAPI_KEY}`);
    const data = await searchResults.json();
    
    // Format results for display
    const formattedResults = data.organic_results
      .slice(0, 4)
      .map((result, index) => ({
        title: result.title,
        url: result.link,
        snippet: result.snippet
      }));

    // Return first URL for automatic browsing
    return {
      results: formattedResults,
      firstUrl: formattedResults[0]?.url
    };
  } catch (error) {
    console.error('Search error:', error);
    throw error;
  }
}

