import React, { useState } from 'react';
import { BrowserRouter as Router, Routes, Route } from 'react-router-dom';
import './App.css';
import logo from './assets/logo.png';

function App() {
  const [isRecording, setIsRecording] = useState(false);
  const [transcription, setTranscription] = useState('');
  
  // Handle recording state and animation
  const toggleRecording = () => {
    setIsRecording(!isRecording);
    // API call to be implemented in later sessions
  };

  // Handle clipboard copy
  const copyToClipboard = () => {
    navigator.clipboard.writeText(transcription);
  };

  return (
    <div className="App">
      <div className="content">
        <img src={logo} alt="Voice 2 Clip Logo" className="logo" />
        
        <button 
          className={`record-button ${isRecording ? 'recording' : ''}`}
          onClick={toggleRecording}
        >
          {isRecording ? 'Stop' : 'Record'}
        </button>

        <textarea
          className="transcription-field"
          value={transcription}
          readOnly
          placeholder="Your transcription will appear here..."
        />

        <button 
          className="copy-button"
          onClick={copyToClipboard}
          disabled={!transcription}
        >
          Copy to Clipboard
        </button>
      </div>
    </div>
  );
}

export default App;

