import React, { useState } from 'react';
import './CopyButton.css';

const CopyButton = ({ text }) => {
  const [copySuccess, setCopySuccess] = useState(false);

  const handleCopy = async () => {
    try {
      await navigator.clipboard.writeText(text);
      setCopySuccess(true);
      setTimeout(() => setCopySuccess(false), 2000);
    } catch (err) {
      console.error('Failed to copy text:', err);
    }
  };

  return (
    <button 
      className={`copy-button ${copySuccess ? 'success' : ''}`}
      onClick={handleCopy}
      disabled={!text}
    >
      {copySuccess ? 'Copied!' : 'Copy to Clipboard'}
    </button>
  );
};

export default CopyButton;

