import React from 'react';
import './ErrorMessage.css';

const ErrorMessage = ({ message, onDismiss }) => {
  if (!message) return null;

  return (
    <div className="error-message-container">
      <div className="error-content">
        <span className="error-text">{message}</span>
        {onDismiss && (
          <button className="dismiss-button" onClick={onDismiss}>
            ✕
          </button>
        )}
      </div>
    </div>
  );
};

export default ErrorMessage;

